<?php

use demo\AppRoute;
use Demo\UserConverter;
use Silex\Application;
use Silex\Provider\AssetServiceProvider;
use Silex\Provider\TwigServiceProvider;
use Silex\Provider\ServiceControllerServiceProvider;
use Silex\Provider\HttpFragmentServiceProvider;
use Symfony\Component\HttpFoundation\Request;

$app = new Application();
$app->register(new ServiceControllerServiceProvider());
$app->register(new AssetServiceProvider());
$app->register(new TwigServiceProvider());
$app->register(new HttpFragmentServiceProvider());
$app['twig'] = $app->extend('twig', function ($twig, $app) {
    // add custom globals, filters, tags, ...

    return $twig;
});

$app['converter.user'] = function () {
  return new UserConverter();
};

$app['route_class'] = AppRoute::class;

// Support PATCH/PUT/DELETE.. emulation on POST for browsers. Beware XSS.
Request::enableHttpMethodParameterOverride();

return $app;
